import request from './fetcher/request'

export default {
  getExhibitionDetail () {
    return request.get('activity/getActivityDetail')
  },
  getCompanyHalls (data) {
    return request.get('company/getCompanyHalls', {
      pageNum: 1,
      pageSize: 999
    })
  },
  getCompanyByHall (boothHall) {
    return request.get('company/getCompanyByHall', {
      boothHall,
      pageNum: 1,
      pageSize: 999,
    })
  },
  getCollectedCompanies () {
    return request.get('company/getCollectedCompanies', {
      pageNum: 1,
      pageSize: 999,
      viewerId: getApp().globalData.userinfo.viewerId
    })
  },
  getTradeList () {
    return request.get('trade/queryAll')
  }
}